@echo off
:askpath
if exist dppath.txt goto menu
echo Welcome to DPGet! Please enter your DPBall directory.
set dpdirectory=
set /p dpdirectory=
echo Please enter it once more...
set dpdirectorycheck=
set /p dpdirectorycheck=
if %dpdirectory%==%dpdirectorycheck% goto pathadd
echo Entries do not match. Please re-enter.
pause
goto verify

:pathadd
echo %dpdirectory%>>dppath.txt

:menu
cls
set /p dppath= <dppath.txt
echo Welcome to the DPGet Digital Paintball File Downloader!
echo What would you like to do?
echo 1. Download a map
echo 2. Browse File Database
echo 3. Search file Database
echo 4. About
echo 5. Quit
set choice=
set /p choice=Enter your choice: 
if '%choice%'=='1' goto mapmenu
if '%choice%'=='2' goto browsefiles
if '%choice%'=='3' goto searchfiles
if '%choice%'=='4' goto about
if '%choice%'=='5' goto end
echo Please enter 1 2 3 4 or 5.
pause
goto menu

:mapmenu
cls
set map=
set /p map=Please enter map name (including .bsp)...  
echo download ftp://85.214.56.218/pub/Maps/%map% /display:progress >dlmap.bat
echo copy %map% %dppath%\pball\maps\%map% >>dlmap.bat
echo del %map% >>dlmap.bat
call dlmap.bat
del dlmap.bat
pause
goto menu

:browsefiles
cls
download http://www.viciouz.co.uk/database/index.txt /display:silent
echo List of files displayed below:
echo.
type index.txt | more
echo.
goto filechoose

:searchfiles
cls
download http://www.viciouz.co.uk/database/index.txt /display:silent
set find=
set /p find=Enter Search Term (Capitalise 1st letter)...  
find "%find%" index.txt
goto filechoose

:filechoose
set file=
set /p file=Type a file's number to download it. Press enter to exit. 
if '%file%'=='' goto delmenu
echo download http://www.viciouz.co.uk/database/%file%.txt /display:silent >dlfileinfo.bat
call dlfileinfo.bat
del dlfileinfo.bat
set fileurl=
set /p fileurl= <%file%.txt
echo download %fileurl% /display:progress >dlfile.bat
call dlfile.bat
del dlfile.bat
del index.txt
echo File Downloaded.
pause
goto menu

:about
echo About DPGET v0.2
echo DPGET is a tool to download files relating to Digital Paintball 2.
echo Currently it includes a map-download feature, which attempts to download a map from www.dplogin.com
echo It also includes a simple file database hosted at viciouz.co.uk
echo DPGET written by ViciouZ (c) ViciouZ.co.uk 2007
echo DPGET uses File Downloader by Noel Danjou
pause
goto menu

:delmenu
del index.txt
goto menu

:end
cls
echo Thanks for using DPGet.
pause
exit